For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
      • GETGet the list of all the events for the received emails.
      • GETFetch all events history for one particular received email.
      • GETRetrieve inbound attachment with download token.
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Email APIInbound parsing

Get the list of all the events for the received emails.

GET
https://api.brevo.com/v3/inbound/events
GET
/v3/inbound/events
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.inboundParsing.getInboundEmailEvents({});
8}
9main();
1{
2 "events": [
3 {
4 "date": "2017-03-11T12:30:00.000Z",
5 "recipient": "alexa@example.com",
6 "sender": "john@example.com",
7 "uuid": "1a825d56-029b-4a41-b8e4-1a825d56"
8 },
9 {
10 "date": "2017-03-12T12:30:00.000Z",
11 "recipient": "bob@example.com",
12 "sender": "alice@example.com",
13 "uuid": "1a825d56-029b-4a41-b8e4-61670463431b"
14 }
15 ]
16}
This endpoint will show the list of all the events for the received emails. When no date range is provided, the last 30 days of events are returned by default.
Was this page helpful?
Previous

Fetch all events history for one particular received email.

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Query parameters

senderstringOptional
Email address of the sender.
startDatestringOptional

Mandatory if endDate is used. Starting date (YYYY-MM-DD or YYYY-MM-DDTHH:mm:ss.SSSZ) from which you want to fetch the list. Maximum time period that can be selected is 30 days. Must not be in the future.

endDatestringOptional

Mandatory if startDate is used. Ending date (YYYY-MM-DD or YYYY-MM-DDTHH:mm:ss.SSSZ) till which you want to fetch the list. Maximum time period that can be selected is 30 days. Must not be in the future.

limitlongOptional0-500Defaults to 100
Number of documents returned per page
offsetlongOptionalDefaults to 0
Index of the first document on the page
sortenumOptionalDefaults to desc

Sort the results in the ascending/descending order of record creation

Allowed values:

Response

List of events for received emails.
eventslist of objects

Errors

400
Bad Request Error